1. API Documentation
Architel DVS API
  • Getting Started
    • API Access & Authentication
  • API Documentation
    • Create access token
      POST
    • Verify Drivers Licence
      POST
    • Verify Citizenship Certificate
      POST
    • Verify Visa
      POST
    • Verify ImmiCard
      POST
    • Verify Medicare Card
      POST
    • Verify Centrelink Concession Card
      POST
    • Verify Passport
      POST
    • Verify Marriage Certificate
      POST
    • Verify Change of Name Certificate
      POST
    • Verify Death Certificate
      POST
    • Verify Birth Certificate
      POST
    • Get Verification Result
      GET
    • Schemas
      • Birth Certificate
        • Birth Certificate Base
        • ACT
        • NSW
        • NT
        • TAS
        • SA
        • VIC
        • WA
        • QLD
      • Change of Name Certificate
        • Change of Name Certificate Base
        • QLD
        • ACT
        • VIC
        • NSW
        • TAS
        • WA
        • SA
        • NT
      • Marriage Certificate
        • Marriage Certificate Base
        • ACT
        • SA
        • QLD
        • VIC
        • TAS
        • NSW
        • WA
        • NT
      • Death Certificate
        • Death Certificate Base
        • TAS
        • NT
        • NSW
        • ACT
        • VIC
        • SA
        • WA
        • QLD
      • Drivers Licence
        • Drivers Licence Base
        • NSW
        • ACT
        • VIC
        • SA
        • TAS
        • NT
        • WA
        • QLD
      • Access Token Request
      • Verification Result
      • DvsVerificationYNResponse
      • Citizenship Certificate
      • Medicare
      • ImmiCard
      • Visa
      • Passport
      • Access Token Response
      • Centrelink
      • OAuth Error Response
      • DvsVerificationSResponse
      • DvsVerificationDResponse
  1. API Documentation

Verify Marriage Certificate

POST
https://dev.architel.com.au/api/dvs/marriage-certificate/{stateOfIssue}
Verify an Australian marriage certificate.
The fields accepted in the request depend on the state or territory that issued the certificate.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟠400
Invalid request.
This response does not have a body.
🟠401
🟠422
🟢200Success
🔴503Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dev.architel.com.au/api/dvs/marriage-certificate/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "givenName": "string",
    "familyName": "string",
    "givenName2": "string",
    "familyName2": "string",
    "dateOfEvent": "string"
}'
Response Response Example
200 - Example
{
    "requestId": "req_123456789",
    "result": "Y"
}
Modified at 2026-09-29 08:18:08
Previous
Verify Passport
Next
Verify Change of Name Certificate
Built with